package cn.kdan.base;

import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @author Bob 2024/7/5
 */
@RestControllerAdvice(basePackages = "cn.kdan")
@Slf4j
public class GlobalExceptionHandler {

    @ExceptionHandler(Throwable.class)
    public R<Void> handlerThrowable(Throwable t) {
        log.info("错误类：{}", t.getClass());
        log.error(t.getMessage(), t);
        return R.error();
    }

    @ExceptionHandler(Exception.class)
    public R<Void> handlerThrowable(Exception e) {
        log.error(e.getMessage(), e);
        return R.error("504", e.getMessage());
    }

    @ExceptionHandler(RuntimeException.class)
    public R<Void> handlerThrowable(RuntimeException e) {
        log.error(e.getMessage(), e);
        return R.error("504", e.getMessage());
    }
}
