package cn.kdan.controller;

import cn.kdan.base.R;
import cn.kdan.listener.EmailListener;
import cn.kdan.service.UsersService;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @author Bob 2024-06-13
 */
@RestController
@RequestMapping("/v1/workflowStreamLiner")
public class WorkflowStreamLinerController {

    private final UsersService usersService;
    private final EmailListener emailListener;

    public WorkflowStreamLinerController(UsersService usersService, EmailListener emailListener) {
        this.usersService = usersService;
        this.emailListener = emailListener;
    }

    /**
     * 检查收件箱
     */
    @PostMapping("/checkInbox")
    public R<?> checkInbox() {
        return R.ok(usersService.checkInbox());
    }

    @PostMapping("/executeTask")
    public R<?> executeTask(@RequestBody Map<String, Object> requestBody) {
        emailListener.executeTask(requestBody);
        return R.ok();
    }
}
