package cn.kdan.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 官网用户信息
 * @TableName users
 */
@Data
public class Users implements Serializable {
    /**
     * 
     */
    private Integer id;

    /**
     * 用户全名
     */
    private String fullName;

    /**
     * 用户邮箱
     */
    private String email;

    /**
     * 用户标识：1=正常注册 2=新增订单 3=新增授权码
     */
    private Integer flag;

    /**
     * 用户类型 1：免费用户 2：试用用户 3：saas用户 4：SDK用户 5：saas和SDK用户 6:SaaS试用用户
     */
    private Integer type;

    /**
     * 密码
     */
    private String password;

    /**
     * 订单数量
     */
    private Integer orderNum;

    /**
     * 消费金额
     */
    private BigDecimal orderAmount;

    /**
     * 登录次数
     */
    private Integer loginTimes;

    /**
     * 1:SDK 2:SaaS
     */
    private Integer source;

    /**
     * 1:没有验证 2:通过验证
     */
    private Integer isVerify;

    /**
     * 1:NO 2:YES
     */
    private Integer hasSeenManual;

    /**
     * 1:NO 2:YES
     */
    private Integer isDeleted;

    /**
     * 
     */
    private Date createdAt;

    /**
     * 
     */
    private Date updatedAt;

    /**
     * 用户邮箱地址状态：0、正常；1、邮件已屏蔽；2、找不到地址
     */
    private Integer emailStatus;

    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Users other = (Users) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getFullName() == null ? other.getFullName() == null : this.getFullName().equals(other.getFullName()))
            && (this.getEmail() == null ? other.getEmail() == null : this.getEmail().equals(other.getEmail()))
            && (this.getFlag() == null ? other.getFlag() == null : this.getFlag().equals(other.getFlag()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getPassword() == null ? other.getPassword() == null : this.getPassword().equals(other.getPassword()))
            && (this.getOrderNum() == null ? other.getOrderNum() == null : this.getOrderNum().equals(other.getOrderNum()))
            && (this.getOrderAmount() == null ? other.getOrderAmount() == null : this.getOrderAmount().equals(other.getOrderAmount()))
            && (this.getLoginTimes() == null ? other.getLoginTimes() == null : this.getLoginTimes().equals(other.getLoginTimes()))
            && (this.getSource() == null ? other.getSource() == null : this.getSource().equals(other.getSource()))
            && (this.getIsVerify() == null ? other.getIsVerify() == null : this.getIsVerify().equals(other.getIsVerify()))
            && (this.getHasSeenManual() == null ? other.getHasSeenManual() == null : this.getHasSeenManual().equals(other.getHasSeenManual()))
            && (this.getIsDeleted() == null ? other.getIsDeleted() == null : this.getIsDeleted().equals(other.getIsDeleted()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getFullName() == null) ? 0 : getFullName().hashCode());
        result = prime * result + ((getEmail() == null) ? 0 : getEmail().hashCode());
        result = prime * result + ((getFlag() == null) ? 0 : getFlag().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getPassword() == null) ? 0 : getPassword().hashCode());
        result = prime * result + ((getOrderNum() == null) ? 0 : getOrderNum().hashCode());
        result = prime * result + ((getOrderAmount() == null) ? 0 : getOrderAmount().hashCode());
        result = prime * result + ((getLoginTimes() == null) ? 0 : getLoginTimes().hashCode());
        result = prime * result + ((getSource() == null) ? 0 : getSource().hashCode());
        result = prime * result + ((getIsVerify() == null) ? 0 : getIsVerify().hashCode());
        result = prime * result + ((getHasSeenManual() == null) ? 0 : getHasSeenManual().hashCode());
        result = prime * result + ((getIsDeleted() == null) ? 0 : getIsDeleted().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", fullName=").append(fullName);
        sb.append(", email=").append(email);
        sb.append(", flag=").append(flag);
        sb.append(", type=").append(type);
        sb.append(", password=").append(password);
        sb.append(", orderNum=").append(orderNum);
        sb.append(", orderAmount=").append(orderAmount);
        sb.append(", loginTimes=").append(loginTimes);
        sb.append(", source=").append(source);
        sb.append(", isVerify=").append(isVerify);
        sb.append(", hasSeenManual=").append(hasSeenManual);
        sb.append(", isDeleted=").append(isDeleted);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}