package cn.kdan.enums;

/**
 * @author ComPDF-Bob 2024-06-21
 **/
public enum ClientFeedbackEnum {

    FEEDBACK("Feedback"),
    REPORT_A_BUG("Report a Bug"),
    PROPOSE_A_NEW_FEATURE("Propose a New Feature"),
    GENERAL_QUESTIONS("General Questions"),
    // 中文简体
    FEEDBACK_SIMPLIFIED("意见回馈"),
    REPORT_A_BUG_SIMPLIFIED("错误回报"),
    PROPOSE_A_NEW_FEATURE_SIMPLIFIED("新功能提议"),
    GENERAL_QUESTIONS_SIMPLIFIED("一般问题"),
    // 中文繁体
    FEEDBACK_TRADITIONAL("意見回饋"),
    REPORT_A_BUG_TRADITIONAL("回報問題"),
    PROPOSE_A_NEW_FEATURE_TRADITIONAL("新功能提議"),
    GENERAL_QUESTIONS_TRADITIONAL("一般問題"),
    ;

    public String value() {
        return value;
    }

    private final String value;

    ClientFeedbackEnum(String value){
        this.value = value;
    }

    public static ClientFeedbackEnum getByValue(String value){
        for (ClientFeedbackEnum clientTypeEnum : ClientFeedbackEnum.values()) {
            if (clientTypeEnum.value.equals(value)){
                return clientTypeEnum;
            }
        }
        return null;
    }

    public static ClientFeedbackEnum getByLikeValue(String value){
        for (ClientFeedbackEnum clientTypeEnum : ClientFeedbackEnum.values()) {
            if (value.contains(clientTypeEnum.value)){
                return clientTypeEnum;
            }
        }
        return null;
    }
}
